function Write-Log {
  param(
    [string]$message,
    [string]$filepath = 'c:\Program Files\xymon\ext\speedtestHistory.log'
  )
  $message | Out-File $filepath -append
}

$LogTime = Get-Date -Format "MM-dd-yyyy HH:mm:ss"
Write-Log $LogTime
Write-Log "<br>"
$outputFile = "C:\Program Files\xymon\tmp\speedtest"
$outputText = ""
$dateLimit = (get-date).adddays(-14)
$Computername = $env:COMPUTERNAME

$fqdnHostname =  [System.Net.DNS]::GetHostByName('').HostName.ToLower()
$dateString = get-date -Format "MM-dd-yyyy HH:mm:ss"  
$speedTest = ("{0:N2} Mbps" -f ((10/(Measure-Command {Invoke-WebRequest 'http://client.akamai.com/install/test-objects/10MB.bin'|Out-Null}).TotalSeconds)*8))
Write-Log $speedTest
Write-Log "<br><br>"
$testHistory = (Get-Content -Path 'c:\Program Files\xymon\ext\speedtestHistory.log')

$outputText = $outputText + "green+12h $dateString [$fqdnHostname]`r`n"
$outputText = $outputText + "<h2>Most Recent Speedtest Results</h2>`r`n"
$outputText = $outputText + "$dateString`r`n"
$outputText = $outputText + "$speedTest`r`n"
$outputText = $outputText + "<br><hr width=400 size=1>`r`n"
$outputText = $outputText + "<h2>Historical Results</h2>`r`n"
$outputText = $outputText + "$testHistory`r`n"

$outputText | Set-Content $outputFile
